'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.toGraphQL = toGraphQL;

var _graphql = require('graphql');

function toGraphQL(_x, _x2) {
  var _again = true;

  _function: while (_again) {
    var sequelizeType = _x,
        sequelizeTypes = _x2;
    _again = false;

    if (sequelizeType instanceof sequelizeTypes.BOOLEAN) {
      return _graphql.GraphQLBoolean;
    } else if (sequelizeType instanceof sequelizeTypes.FLOAT) {
      return _graphql.GraphQLFloat;
    } else if (sequelizeType instanceof sequelizeTypes.INTEGER) {
      return _graphql.GraphQLInt;
    } else if (sequelizeType instanceof sequelizeTypes.STRING || sequelizeType instanceof sequelizeTypes.TEXT || sequelizeType instanceof sequelizeTypes.UUID || sequelizeType instanceof sequelizeTypes.DATE) {
      return _graphql.GraphQLString;
    } else if (sequelizeType instanceof sequelizeTypes.VIRTUAL) {
      if (sequelizeType.returnType) {
        _x = sequelizeType.returnType;
        _x2 = sequelizeTypes;
        _again = true;
        continue _function;
      }

      return _graphql.GraphQLString;
    } else {
      throw new Error('Unable to convert ' + (sequelizeType.key || sequelizeType.toSql()) + ' to a GraphQL type');
    }
  }
}